---
search:
  tags:
    - Billing
    - POST
seo:
  description: >-
    Requires organization:update. Returns the URL of… Reference for the POST
    /organizations/{organizationId}/billing/subscription/cancel endpoint in the
    Auth API.
sidebar:
  label: Cancel the subscription
  badge: POST
title: Cancel the subscription
type: openapi-operation
---
Requires organization:update. Returns the URL of the Stripe Customer Portal's cancellation page. Answers 404 without a current subscription, and 409 when it is already set to be canceled.

`POST /organizations/{organizationId}/billing/subscription/cancel`

**Request body** (`application/json`, required)

- `return_url` (string<uri>, required) — A console URL Stripe returns to.

Request body example:

```json
{
  "return_url": "http://example.com"
}
```

**Responses**

- `200` — The Stripe page to open.
- `default` — The request failed.

Response example, 200:

```json
{
  "url": "http://example.com"
}
```
